# SoLocateHighlight Class Reference
[Nodes]

`#include <Inventor/nodes/SoLocateHighlight.h>`

Inheritance diagram for SoLocateHighlight:

List of all members.

## Detailed Description

The SoLocateHighlight class highlights geometry under the cursor.

Note: this node is supposed to draw to the front buffer. However, in Coin we always draw to the back buffer, forcing a scene redraw whenever a highlight state changes.

## Public Types

enum | Modes { AUTO, ON, OFF }
enum | Styles { EMISSIVE, EMISSIVE_DIFFUSE }

## Public Member Functions

| SoLocateHighlight (void)
virtual void | handleEvent (SoHandleEventAction *action)
virtual void | GLRenderBelowPath (SoGLRenderAction *action)
virtual void | GLRenderInPath (SoGLRenderAction *action)

## Static Public Member Functions

void | initClass (void)
void | turnOffCurrentHighlight (SoGLRenderAction *action)

## Public Attributes

SoSFColor | color
SoSFEnum | style
SoSFEnum | mode

## Protected Member Functions

virtual | ~SoLocateHighlight ()
virtual void | redrawHighlighted (SoAction *act, SbBool flag)

## Member Enumeration Documentation

enum SoLocateHighlight::Modes

Enum type for behaviour modes.

Enumeration values:

  AUTO | Highlight when mouse cursor is over the contents of the node.
  ON | Always highlight.
  OFF | Never highlight.

enum SoLocateHighlight::Styles

Enum type for highlight styles.

Enumeration values:

  EMISSIVE | Highlight using emissive color override.
  EMISSIVE_DIFFUSE | Highlight useing emissive and diffuse color override.

## Constructor & Destructor Documentation

SoLocateHighlight::SoLocateHighlight | ( | void |  | ) |

| Constructor.

SoLocateHighlight::~SoLocateHighlight | ( |  | ) | `[protected, virtual]`

| Destructor.

## Member Function Documentation

void SoLocateHighlight::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoSeparator. Reimplemented in SoWWWAnchor.

void SoLocateHighlight::handleEvent | ( | SoHandleEventAction * | action | ) | `[virtual]`

| Action method for SoHandleEventAction. Inspects the event data from action, and processes it if it is something which this node should react to. Nodes influencing relevant state variables for how event handling is done also overrides this method. Reimplemented from SoSeparator. Reimplemented in SoWWWAnchor.

void SoLocateHighlight::GLRenderBelowPath | ( | SoGLRenderAction * | action | ) | `[virtual]`

SGI Open Inventor v2.1 obsoleted support for SoGLRenderAction::addMethod(). Instead, GLRender() might be called directly, and to optimize traversal, the SoSeparator node calls GLRenderBelowPath whenever the path code is BELOW_PATH or NO_PATH (path code is guaranteed not to change). To be compatible with SGI's Inventor (and thereby also TGS') we have chosen to follow their implementation in this respect.

SoSeparator::GLRenderBelowPath() do not traverse its children using SoChildList::traverse(), but calls GLRenderBelowPath() directly for all its children.

Reimplemented from SoSeparator.

void SoLocateHighlight::GLRenderInPath | ( | SoGLRenderAction * | action | ) | `[virtual]`

| Implements the SoAction::IN_PATH traversal method for the rendering action. Reimplemented from SoSeparator.

void SoLocateHighlight::turnOffCurrentHighlight | ( | SoGLRenderAction * | action | ) | `[static]`

| Static method that can be used to turn off the current highlight.

void SoLocateHighlight::redrawHighlighted | ( | SoAction * | act,
|  | SbBool | flag
| ) | `[protected, virtual]`

| Empty method in Coin. Can be used by subclasses to be told when status change. Reimplemented in SoWWWAnchor.

## Member Data Documentation

SoSFColor SoLocateHighlight::color

| The color used for highlighting.

SoSFEnum SoLocateHighlight::style

| The highlight style.

SoSFEnum SoLocateHighlight::mode

| The highlight mode.

The documentation for this class was generated from the following files:

- SoLocateHighlight.h
- SoLocateHighlight.cpp